List Slack Workspaces Bound To An Agent
curl --request GET \
--url https://api.duvo.ai/v2/agents/{agent_id}/builds/{build_id}/slack-bound-workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/agents/{agent_id}/builds/{build_id}/slack-bound-workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/agents/{agent_id}/builds/{build_id}/slack-bound-workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaces": [
{
"slack_team_id": "<string>",
"slack_workspace_name": "<string>",
"integration_instance_id": "<string>",
"shared": true
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Triggers
List Slack Workspaces Bound To An Agent
List the Slack workspaces bound to an agent build that you can create channel triggers for. Creating a Slack channel trigger for any other workspace is rejected, so start here to pick a valid slack_team_id and integration_instance_id.
GET
/
v2
/
agents
/
{agent_id}
/
builds
/
{build_id}
/
slack-bound-workspaces
List Slack Workspaces Bound To An Agent
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The agent's unique identifier
The agent build (revision) whose bound connections to list
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I